[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: libgdbm1 dependency problems

On Tue, 17 Dec 1996, David Engel wrote:

david >I am very slowly starting to ramp on how to use debmake.  In looking
david >at the latest libgdbm1 packages as examples, I found some dependency
david >problems.  I haven't looked far enough yet to know if they are caused
david >by debmake or just Cristoph's packaging, but I thought I'd let you all
david >know about them.

Debmake does not calculate dependencies of sharable libraries, just
executables. I need to have a look at that.

david > Architecture: i386
david > Depends: libgdbm1
david > Installed-Size: 84
david > Maintainer: Christoph Lameter <clameter@debian.org>
david > Source: libgdbm
david >
david >libgdbm1-dev should definitely depend on libc5-dev in addition to
david >libgdbm1.  Without this dependency, a user could install incompatible
david >development packages (eg. libgdbm1-dev and libc6-dev).

Ok. Will also add that dependency to the template.
That is true for all libraries right?

--- +++ --- +++ --- +++ --- +++ --- +++ --- +++ --- +++ ---
PGP Public Key  =  FB 9B 31 21 04 1E 3A 33  C7 62 2F C0 CD 81 CA B5 

TO UNSUBSCRIBE FROM THIS MAILING LIST: e-mail the word "unsubscribe" to
debian-devel-REQUEST@lists.debian.org . Trouble? e-mail to Bruce@Pixar.com

Reply to: